Crash: NullPointerException in FeedbackUtil.showMessage()
Closed, ResolvedPublic

Description

https://rink.hockeyapp.net/manage/apps/226649/app_versions/6/crash_reasons/57359828

1 org.wikipedia.util.FeedbackUtil.showMessage FeedbackUtil.java, line 47
2 org.wikipedia.page.linkpreview.LinkPreviewDialog$5.onCatch LinkPreviewDialog.java, line 247
3 org.wikipedia.concurrency.SaneAsyncTask$BackingAsyncTask.onPostExecute SaneAsyncTask.java, line 110
4 android.os.AsyncTask.finish AsyncTask.java, line 632
5 android.os.AsyncTask.access$600 AsyncTask.java, line 177
6 android.os.AsyncTask$InternalHandler.handleMessage AsyncTask.java, line 645
7 android.os.Handler.dispatchMessage Handler.java, line 102
8 android.os.Looper.loop Looper.java, line 136
9 android.app.ActivityThread.main ActivityThread.java, line 5017
10 java.lang.reflect.Method.invokeNative Native Method
11 java.lang.reflect.Method.invoke Method.java, line 515
12 com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run ZygoteInit.java, line 794
13 com.android.internal.os.ZygoteInit.main ZygoteInit.java, line 610
14 dalvik.system.NativeStart.main Native Method

Dbrant created this task.Dec 4 2015, 5:35 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to High.
Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2015, 5:35 PM

Change 256987 had a related patch set uploaded (by Dbrant):
Fix possible crash(es) in link preview AsyncTasks.

https://gerrit.wikimedia.org/r/256987

Dbrant claimed this task.Dec 4 2015, 8:28 PM

Change 256987 merged by jenkins-bot:
Fix possible crash(es) in link preview AsyncTasks.

https://gerrit.wikimedia.org/r/256987

Dbrant set Security to None.
Dbrant moved this task from Next Sprint to Current Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant moved this task from To Do to QA Signoff on the Mobile-App-Android-Sprint-72-Hafnium board.

Checked with 2.1.135-alpha-2015-12-07 on Nexus 5 (Android 5.1.1)

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM